package org.eclipse.spliteditor;

import org.eclipse.spliteditor.tests.SplittableContainer;
import org.eclipse.spliteditor.tests.SplittableContainerClient;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Sash;
import org.eclipse.ui.editors.text.TextEditor;

public class SplitTextEditor extends TextEditor {

	private SplittableContainer splitContainer;

	public void createPartControl(Composite parent) {
		splitContainer = new SplittableContainer(parent, new SplittableContainerClient() {
		
			public Control createSlave(SplittableContainer container) {
				SplitTextEditor.super.createPartControl(container);
				Control[] ch = container.getChildren();
				for (int i = 0; i < ch.length; i++) {
					if (ch[i] != container.getMaster() && !(ch[i] instanceof Sash)) {
						return ch[i];
					}
				}
				return null;
			}

			public Control createMaster(SplittableContainer container) {
				SplitTextEditor.super.createPartControl(container);
				Control[] ch = container.getChildren();
				return ch[0];
			}
		}, SWT.NONE);
	}

}
