/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.spliteditor.tests;
 
/*
 * Sash example snippet: create a sash (allow it to be moved)
 *
 * For a list of all SWT example snippets see
 * http://www.eclipse.org/swt/snippets/
 */
import org.eclipse.swt.SWT;
import org.eclipse.swt.custom.StyledText;
import org.eclipse.swt.layout.FillLayout;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Shell;

public class CopyOfSnippet54 {
	
	public static void main (String [] args) {
		Display display = new Display ();
		Shell shell = new Shell (display);
		
		shell.setLayout(new FillLayout());
		
		new SplittableContainer(shell, new SplittableContainerClient() {
		
			public Control createSlave(SplittableContainer container) {
				StyledText slave = new StyledText(container, SWT.NONE);
				slave.setText(((StyledText) container.getMaster()).getText());
				return slave;
			}
		
			public Control createMaster(SplittableContainer container) {
				return new StyledText(container, SWT.NONE);
			}
		}, 0);
		
		shell.open ();
		while (!shell.isDisposed ()) {
			if (!display.readAndDispatch ()) display.sleep ();
		}
		display.dispose ();
	}
} 
